<?php

class Biz extends CActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'biz';
    }

    public function rules() {
        return array(
            array('text', 'length', 'max' => 240, 'min' => 3),
            array('text', 'required'),
        );
    }

    public function attributeLabels() {
        return array(
            'text' => 'текст',
        );
    }
    
    public static function findBiz($id) {
        $biz = self::model()->findByPk($id);
        if (!$biz) {
            throw new CHttpException(404,'Данного бизнеса не существует или недоступен');
        } else {
            return $biz;
        }
    }


}
